searchData={"content_type":"text/markdown","items":[{"doc":"A library for validating and parsing Telegram Web App Init Data.","ref":"TGAppEx.html","title":"TGAppEx","type":"module"},{"doc":"Parses the Telegram Web App Init Data. This does NOT validate the signature. Use `validate/2` for that.","ref":"TGAppEx.html#parse/1","title":"TGAppEx.parse/1","type":"function"},{"doc":"Validates the Telegram Web App Init Data.\n\nReturns {:ok, decoded_map} if the data is valid, and :error otherwise.","ref":"TGAppEx.html#validate/2","title":"TGAppEx.validate/2","type":"function"},{"doc":"iex> init_data = \"user=%7B%22id%22%3A301401270%2C%22first_name%22%3A%22Raghav%22%2C%22last_name%22%3A%22Sood%22%2C%22username%22%3A%22RaghavSood%22%2C%22language_code%22%3A%22en%22%2C%22is_premium%22%3Atrue%2C%22allows_write_to_pm%22%3Atrue%7D&chat_instance=3088182267291974857&chat_type=private&auth_date=1719548875&hash=8d08252f8da1fb386ad686a27ea51980b9e7c4898dd51595418a579cc2825ca4\"\n    iex> bot_api_token = \"7249749463:AAF47pE6-3XqBcqw11uzeIRA2Mr4Obl9JvU\"\n    iex> TGAppEx.validate(init_data, bot_api_token)\n    {:ok, %{\"user\" => %{\"id\" => 301401270, \"first_name\" => \"Raghav\", \"last_name\" => \"Sood\", \"username\" => \"RaghavSood\", \"language_code\" => \"en\", \"is_premium\" => true, \"allows_write_to_pm\" => true}, \"chat_instance\" => \"3088182267291974857\", \"chat_type\" => \"private\", \"auth_date\" => 1719548875}}\n\n    iex> invalid_data = \"user=%7B%22id%22%3A301401270%2C%22first_name%22%3A%22Raghav%22%2C%22last_name%22%3A%22Sood%22%2C%22username%22%3A%22RaghavSood%22%2C%22language_code%22%3A%22en%22%2C%22is_premium%22%3Atrue%2C%22allows_write_to_pm%22%3Atrue%7D&chat_instance=3088182267291974857&chat_type=private&auth_date=1719548875&hash=9d08252f8da1fb386ad686a27ea51980b9e7c4898dd51595418a579cc2825ca4\"\n    iex> bot_api_token = \"7249749463:AAF47pE6-3XqBcqw11uzeIRA2Mr4Obl9JvU\"\n    iex> TGAppEx.validate(invalid_data, bot_api_token)\n    :error","ref":"TGAppEx.html#validate/2-examples","title":"Examples - TGAppEx.validate/2","type":"function"}],"producer":{"name":"ex_doc","version":[48,46,51,52,46,49]}}